summaryrefslogtreecommitdiff
path: root/community
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2021-01-14 21:17:15 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2021-01-14 21:17:15 +0100
commit50bb418e06cf8bd12d670a9a4b13a4400fce73fd (patch)
tree2850340a306cd0d2994ea7bf3c729efeacafa55f /community
parenta4865efab1ebf8b5e8796e78120567a907cc39f8 (diff)
downloadpackages-50bb418e06cf8bd12d670a9a4b13a4400fce73fd.tar.xz
community/librsvg-og: non-Rust version of librsvg for i486
Diffstat (limited to 'community')
-rw-r--r--community/librsvg-og/PKGBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/community/librsvg-og/PKGBUILD b/community/librsvg-og/PKGBUILD
new file mode 100644
index 0000000..c08854e
--- /dev/null
+++ b/community/librsvg-og/PKGBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Andreas Baumann <mail@andreasbaumann.cc>
+
+pkgname=librsvg-og
+pkgver=2.40.20
+pkgrel=1
+epoch=1
+pkgdesc="SVG rendering library old gen"
+url="https://github.com/oaken-source/librsvg-og"
+arch=(i486 i686 pentium4)
+license=(LGPL)
+depends=(gdk-pixbuf2 pango)
+conflicts_i486=(libsrvg)
+makedepends=(gobject-introspection gtk-doc git)
+provides_i486=(librsvg=${pkgver} librsvg-${pkgver%%.*}.so)
+source=("https://github.com/oaken-source/librsvg-og/archive/2.40.20.tar.gz")
+sha256sums=('5bcbd8aa34a81478f990dc62a308ee2a42ff89a4e2bc905c09fd68f525bf5643')
+
+prepare() {
+ cd ${pkgname}-${pkgver}
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd ${pkgname}-${pkgver}
+ ./configure --prefix=/usr --disable-static --disable-vala \
+ --enable-gtk-doc
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
+ make
+}
+
+check() {
+ cd ${pkgname}-${pkgver}
+ # Test suite is very dependent on the versions of
+ # Cairo, Pango, FreeType and HarfBuzz
+ make check || :
+}
+
+package() {
+ cd ${pkgname}-${pkgver}
+ make DESTDIR="$pkgdir" install
+}